Package be.vlaanderen.mercurius.stay.schemas.v1

# Class EWZCfinDF016PushNotificationHCA

java.lang.Object
be.vlaanderen.mercurius.stay.schemas.v1.EWZCfinDF016PushNotificationHCA

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class EWZCfinDF016PushNotificationHCA extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MessageMetadata" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}MessageMetadataType"/>
             <element name="InstitutionMetadata" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}InstitutionMetadataType" minOccurs="0"/>
             <element name="PushReason" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ProcessingDateTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <choice>
               <element name="Admission" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}NotifyAdmissionAcceptedResponseType" minOccurs="0"/>
               <element name="IndicationReport" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}IndicationReportType" minOccurs="0"/>
             </choice>
             <element name="ErrorList" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}ErrorListType" minOccurs="0"/>
             <element name="NotificationList" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}NotificationListType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EWZCfinDF016PushNotificationHCA()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NotifyAdmissionAcceptedResponseType`
  `getAdmission()`
  De gegevens van de aanvaarde opname, toegevoegde, gewijzigde en/of geannuleerde periodes woongelegenheid en tijdelijke afwezigheden, samen met de historiek van de afhankelijkheidscategorieën
  `ErrorListType`
  `getErrorList()`
  Lijst met fouten
  `IndicationReportType`
  `getIndicationReport()`
  Indicatiestelling: KATZ-inschaling en attesten
  `InstitutionMetadataType`
  `getInstitutionMetadata()`
  Extra informatie over de voorziening waar de bewoner is opgenomen.
  `MessageMetadataType`
  `getMessageMetadata()`
  Tracing informatie
  `NotificationListType`
  `getNotificationList()`
  Lijst met meldingen
  `Instant`
  `getProcessingDateTime()`
  Tracing informatie
  `String`
  `getPushReason()`
  Reden waarom gegevens worden verstuurd
  `void`
  `setAdmission(NotifyAdmissionAcceptedResponseType value)`
  Sets the value of the admission property.
  `void`
  `setErrorList(ErrorListType value)`
  Sets the value of the errorList property.
  `void`
  `setIndicationReport(IndicationReportType value)`
  Sets the value of the indicationReport property.
  `void`
  `setInstitutionMetadata(InstitutionMetadataType value)`
  Sets the value of the institutionMetadata property.
  `void`
  `setMessageMetadata(MessageMetadataType value)`
  Sets the value of the messageMetadata property.
  `void`
  `setNotificationList(NotificationListType value)`
  Sets the value of the notificationList property.
  `void`
  `setProcessingDateTime(Instant value)`
  Sets the value of the processingDateTime property.
  `void`
  `setPushReason(String value)`
  Sets the value of the pushReason property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EWZCfinDF016PushNotificationHCA

    public EWZCfinDF016PushNotificationHCA()

- ## Method Details

  - ### getMessageMetadata

    public MessageMetadataType getMessageMetadata()
    Tracing informatie
    Returns:
      possible object is `MessageMetadataType`

  - ### setMessageMetadata

    public void setMessageMetadata(MessageMetadataType value)
    Sets the value of the messageMetadata property.
    Parameters:
      `value` - allowed object is `MessageMetadataType`
    See Also:
      - `getMessageMetadata()`

  - ### getInstitutionMetadata

    public InstitutionMetadataType getInstitutionMetadata()
    Extra informatie over de voorziening waar de bewoner is opgenomen. Deze gegevens zijn voorzien voor toekomstig gebruik. In eerste fase moet dit niet ingevuld worden. Verdere informatie volgt later.
    Returns:
      possible object is `InstitutionMetadataType`

  - ### setInstitutionMetadata

    public void setInstitutionMetadata(InstitutionMetadataType value)
    Sets the value of the institutionMetadata property.
    Parameters:
      `value` - allowed object is `InstitutionMetadataType`
    See Also:
      - `getInstitutionMetadata()`

  - ### getPushReason

    public String getPushReason()
    Reden waarom gegevens worden verstuurd
    Returns:
      possible object is `String`

  - ### setPushReason

    public void setPushReason(String value)
    Sets the value of the pushReason property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPushReason()`

  - ### getProcessingDateTime

    public Instant getProcessingDateTime()
    Tracing informatie
    Returns:
      possible object is `String`

  - ### setProcessingDateTime

    public void setProcessingDateTime(Instant value)
    Sets the value of the processingDateTime property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getProcessingDateTime()`

  - ### getIndicationReport

    public IndicationReportType getIndicationReport()
    Indicatiestelling: KATZ-inschaling en attesten
    Returns:
      possible object is `IndicationReportType`

  - ### setIndicationReport

    public void setIndicationReport(IndicationReportType value)
    Sets the value of the indicationReport property.
    Parameters:
      `value` - allowed object is `IndicationReportType`
    See Also:
      - `getIndicationReport()`

  - ### getAdmission

    public NotifyAdmissionAcceptedResponseType getAdmission()
    De gegevens van de aanvaarde opname, toegevoegde, gewijzigde en/of geannuleerde periodes woongelegenheid en tijdelijke afwezigheden, samen met de historiek van de afhankelijkheidscategorieën
    Returns:
      possible object is `NotifyAdmissionAcceptedResponseType`

  - ### setAdmission

    public void setAdmission(NotifyAdmissionAcceptedResponseType value)
    Sets the value of the admission property.
    Parameters:
      `value` - allowed object is `NotifyAdmissionAcceptedResponseType`
    See Also:
      - `getAdmission()`

  - ### getErrorList

    public ErrorListType getErrorList()
    Lijst met fouten
    Returns:
      possible object is `ErrorListType`

  - ### setErrorList

    public void setErrorList(ErrorListType value)
    Sets the value of the errorList property.
    Parameters:
      `value` - allowed object is `ErrorListType`
    See Also:
      - `getErrorList()`

  - ### getNotificationList

    public NotificationListType getNotificationList()
    Lijst met meldingen
    Returns:
      possible object is `NotificationListType`

  - ### setNotificationList

    public void setNotificationList(NotificationListType value)
    Sets the value of the notificationList property.
    Parameters:
      `value` - allowed object is `NotificationListType`
    See Also:
      - `getNotificationList()`